1. java
  2. android
  3. c#
  4. .net
  5. javascript
  6. php
  7. jquery
  8. html
  9. sql

Problemas na instalação e utilização do Java POI-3.11.

Pessoal, dando continuidade ao meu auto estudo no java, estou querendo utilizar a api apache poi para EXCEL. Fiz o download no site apache.org, como indicado nos forums.

No site do apache só tem a versão poi-3.11, descompactei o arquivo, coloquei no meu CLASSPATCH, adicionei na biblioteca do netbeans, fiz tudo que consegui ver até agora na internet, porém não consigo nem iniciar meu programa no netbeans, quando inicio o comando de import org. já dá erro. Não tenho erro de programa porque não terminei o programa.

Alguém pode me ajudar?

Desde já grato pela ajuda.

Cezar Apulchro.

  • e qual é o erro?

    Dilnei Cunha   14 de jan de 2015
  • Fiz o download do JExcel, antes era apache poi-3.11, como anteriormente, coloquei no meu classpatch, adicionei jar da pasta no netbeans e continua o mesmo problema, ou seja pacote não existe.

    Cezar Apulchro   15 de jan de 2015
  • eu uso aqui com Netbeans e funciona muito bem porém como importo .xlsx, .xlsm e xls preciso de algumas dependencias a mais, veja:

    <dependency>
         <groupId>org.apache.poi</groupId>
         <artifactId>poi</artifactId>
         <version>3.10.1</version>
    </dependency>
    <dependency>
         <groupId>org.apache.poi</groupId>
         <artifactId>poi-ooxml</artifactId>
         <version>3.10.1</version>
    </dependency>
    <dependency>
         <groupId>org.apache.xmlbeans</groupId>
         <artifactId>xmlbeans</artifactId>
         <version>2.6.0</version>
    </dependency>
    Dilnei Cunha   15 de jan de 2015
  • Meu amigo tem como me mandar o classpatch que vc colocou pra acessar a pasta do apache poi? Uma coisa também é que uso o poi-3.11, não vi nenhum referência na internet de como fazer a instalação dessa versão, só encontrei informações para a versão poi-3.9. E também, que arquivos jar adiciono no netbeans.

    Cezar Apulchro   15 de jan de 2015
  • eu uso o maven, mas adicionar no classpath é a mesma coisa, a versão não ira fluenciar testei com a 3.11 e continua funcionando, minha pergunta é: como você adicinou ela no classpath? se sua aplicação não reconhece os imports a biblioteca não esta no classpath da app. Também verifique se no seu classpath tem as bibliotecas que citei acima, se não rolar me fala que a gente resolve.

    Dilnei Cunha   15 de jan de 2015
Mostrar todos os 6 comentários>
  1. Você vai ver essas setas em qualquer página de pergunta. Com elas, você pode dizer se uma pergunta ou uma resposta foram relevantes ou não.
  2. Edite sua pergunta ou resposta caso queira alterar ou adicionar detalhes.
  3. Caso haja alguma dúvida sobre a pergunta, adicione um comentário. O espaço de respostas deve ser utilizado apenas para responder a pergunta.
  4. Se o autor da pergunta marcar uma resposta como solucionada, esta marca aparecerá.
  5. Clique aqui para mais detalhes sobre o funcionamento do GUJ!

1 resposta

Não é a resposta que estava procurando? Procure outras perguntas com as tags java ou faça a sua própria pergunta.